EssentialsX - A maintained fork of Essentials 2.x.
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
Telesphoreo 23914e62c8
Merge branch '1.17' of https://github.com/TotalFreedomMC/TF-EssentialsX into 1.17
7 months ago
.checkstyle Discord Module (#3844) 1 year ago
.github Run Actions builds for dev branches (#4691) 12 months ago
.idea Fix AlternativeCommandsHandler not detecting some aliases (#3856) 2 years ago
Essentials Merge https://github.com/EssentialsX/Essentials into 1.17 7 months ago
EssentialsSpawn Update to 1.17 1 year ago
build-logic Merge https://github.com/EssentialsX/Essentials into 1.17 7 months ago
gradle/wrapper Update to Minecraft 1.18.2 (#4821) 9 months ago
providers Fix IllegalAccessException with advancement listener on 1.12.2 (#4826) 9 months ago
.gitignore Clean up gradle build scripts 2 years ago
CONTRIBUTING.md Add new PR templates and revamp issue templates (#3711) 2 years ago
Jenkinsfile and all the commits after 2 years ago
LICENSE Added License info. Essentials is GPLv3 12 years ago
README.md Prepare for 2.20.0 dev builds (#4849) 9 months ago
build.gradle Prepare for 2.20.0 dev builds (#4849) 9 months ago
crowdin.yml Refactor Project to Gradle (#3720) 2 years ago
gradle.properties Fix AlternativeCommandsHandler not detecting some aliases (#3856) 2 years ago
gradlew Update Gradle to 7.2; set run-paper to 1.17.1 with toolchain (#4496) 1 year ago
gradlew.bat Update Gradle to 7.2; set run-paper to 1.17.1 with toolchain (#4496) 1 year ago
settings.gradle.kts Fix ops being able to use /give ** 11 months ago

README.md

EssentialsX

Dev Builds

Discord

Patreon

This is a fork of Essentials called EssentialsX.

If you are using this, do NOT ask Essentials for support.

The official upstream repository for the original Essentials project is at https://github.com/Essentials/Essentials.

Why use EssentialsX?

EssentialsX is an unofficial continuation of Essentials, updated to support modern Minecraft and Spigot versions. It provides several performance enhancements and fixes that are currently not available in Essentials and Spigot-Essentials. For more details, see the wiki.

EssentialsX is almost a completely drop-in replacement for Essentials. However, it has different requirements:

  • EssentialsX requires Vault to enable chat prefix/suffixes and group support if you have a supported permissions plugin. We recommend using LuckPerms.

  • If you have an unsupported permissions plugin but still wish to use wildcards, enable use-bukkit-permissions in the configuration. Otherwise, the plugin will fall back to config-based permissions.

  • EssentialsX requires Java 8 or higher. On older versions, the plugin may not work properly.

  • EssentialsX supports Minecraft versions 1.8.8, 1.9.4, 1.10.2, 1.11.2, 1.12.2, 1.13.2, 1.14.4, 1.15.2, 1.16.5, 1.17.1, and 1.18.2.

Support

Need help with using EssentialsX? Join the MOSS Discord community to ask for help and discuss EssentialsX.

If you need to report a bug or want to suggest a new feature, you can open an issue on GitHub.

Building

To build EssentialsX, you need JDK 8 or higher installed on your system. Then, run the following command:

./gradlew build

...or if you're on windows run the following command:

gradlew build

Each module's jar can be found in build/libs/ inside each module's directory or in jars/.

Using EssentialsX in your plugin

Do you want to integrate with EssentialsX in your plugin? You can use the EssentialsX Maven repo to build against EssentialsX's API.

Releases are hosted on the Maven repo at https://repo.essentialsx.net/releases/, while snapshots (including dev builds) are hosted at https://repo.essentialsx.net/snapshots/.

To add EssentialsX to your build system, you should use the following artifacts:

Type Group ID Artifact ID Version
Latest release net.essentialsx EssentialsX 2.19.4
Snapshots net.essentialsx EssentialsX 2.20.0-SNAPSHOT
Older releases net.ess3 EssentialsX 2.18.2

Note: up until 2.18.2, EssentialsX used the net.ess3 group ID, but starting with 2.19.0 snapshots, the group ID is now net.essentialsx. When updating your plugin, make sure you use the correct group ID.

You can find more information and examples at the wiki.

Contributing

Want to help improve EssentialsX? There are several ways you can support and contribute to the project.

If you'd like to make a financial contribution to the project, you can join our Patreon, or to make a one-off donation you can visit our Ko-fi page. If you can't make a donation, don't worry! There are lots of other ways to contribute:

  • Do you run a server? Take a look at our "help wanted" and "bug: unconfirmed" issues, where you can find issues that need extra testing and investigation.
  • Do you speak multiple languages? If so, we always welcome contributions to our Crowdin project.
  • Do you enjoy helping others? If so, why not contribute to the EssentialsX documentation? You can also join the MOSS Discord community and provide direct community support to other EssentialsX users.
  • If you're a developer, you could look through our "open to PR" issues. We're always happy to receive bug fixes and feature additions as pull requests.

See CONTRIBUTING.md to find out more.